Subject: bug#53877: 29.0.50; [PATCH] async Gnus/nnml

From: Robert Pluim <[email-masked]>
Date: Wed, 09 Feb 2022 10:00:08 +0100

>>>>> On Tue, 08 Feb 2022 12:33:54 -0800, Eric Abrahamsen <[email-masked]> said:

    Eric> Manuel Giraud <[email-masked]> writes:
    >> Hi,
    >> 
    >> I'm trying to have an asynchronous Gnus nnml backend. In the process, I
    >> found some things that I'd like to have first in nnmail.el and
    >> mail-sources.el (see patches).
    >> 
    >> There is nothing asynchronous so far so Gnus behaviour shouldn't have
    >> changed that much.

    Eric> Hi Manuel,

    Eric> Thanks for working on this! Getting rid of `nnmail-article-buffer' looks
    Eric> fine to me.

My paranoid side says that Iʼd rather have a predictable buffer name
when treating incoming email than a temporary buffer.

    Eric> In the crash box patch, I wonder if we really need to change the name of
    Eric> the option. It could be used as-is as a prefix, without really needing
    Eric> to involve the user. Maybe changing the docstring would be enough?

Right. Backwards compatibility is important.

Robert
--